#### PyKDE - Python Bindings for KDE

# class KSaveFile |
Table of contents
Modules
kdecore Classes
All Classes

Module | kdecore
Class | KSaveFile
Inherits |

### methods

- KSaveFile (filename, mode = 438)

  returns a KSaveFile instance
  Argument | Type | Default
  --- | --- | ---
  filename | QString |
  mode | int | 438

- abort ()

  returns nothing

- backupFile (filename, backupDir = QString .null, backupExtension = QString .fromLatin1 ("~" ))

  returns (bool)
  In versions KDE 3.2.0 and above only
  static
  Argument | Type | Default
  --- | --- | ---
  filename | QString |
  backupDir | QString | QString .null
  backupExtension | QString | QString .fromLatin1 ("~" )

- close ()

  returns (bool)

- dataStream ()

  returns (QDataStream)

- file ()

  returns (QFile)

- fstream ()

  Not Implemented

- handle ()

  returns (int)

- name ()

  returns (QString)

- status ()

  returns (int)

- textStream ()

  returns (QTextStream)